Subject: Re: bug#7802: bug #7802: 24.0.50; Extraneous `mouse-3' event when do `double-mouse-3'

From: Jason Rumney <[email-masked]>
Date: Sun, 09 Jan 2011 00:01:05 +0800

"Drew Adams" <[email-masked]> writes:

> I'm no expert on these things, but isn't that what the system (whatever system
> is handling mouse events) needs to do anyway?  Doesn't Windows, for instance,
> have to wait to see whether an event is a single-click, double-click, or
> triple-click?

No. Windows does the same as Emacs, which is why we inherit this
behaviour.

> I can't see how it could be otherwise (logically).  I can't imagine
> some action kicking in just as soon as the first click is detected,
> without waiting to see whether the _user_ action is actually a single
> click or is really a double click.

The standard situation on Windows is rather more limited. There are no
double click bindings for mouse-2 or mouse-3 in most programs or on the
desktop, only for mouse-1. And the click event for mouse-1 generally
selects the item below the mouse pointer, which the double click event
then uses.

> But why not just try to wait and see what the user action really is?

How long do you propose to wait?